# typed: false
# frozen_string_literal: true

# This file was generated by GoReleaser. DO NOT EDIT.
class Aicp < Formula
  desc "A tool for AI copy and paste functionality"
  homepage "https://gitlab.com/michaelangelo.io/aicp"
  version "0.0.4"
  license "MIT"

  on_macos do
    on_intel do
      url "https://gitlab.com/michaelangelo.io/aicp/-/releases/v0.0.4/downloads/aicp_0.0.4_darwin_amd64.tar.gz"
      sha256 "0e02326e45ac57f5e18d6f75f08bd4d8e6ab015efacc0a9a516aec02046febd4"

      def install
        bin.install "aicp"
      end
    end
    on_arm do
      url "https://gitlab.com/michaelangelo.io/aicp/-/releases/v0.0.4/downloads/aicp_0.0.4_darwin_arm64.tar.gz"
      sha256 "dcc22faa2e024383f4f8b75db9f24d0167d51a97fc7bf41bc973974c660180bb"

      def install
        bin.install "aicp"
      end
    end
  end

  on_linux do
    on_intel do
      if Hardware::CPU.is_64_bit?
        url "https://gitlab.com/michaelangelo.io/aicp/-/releases/v0.0.4/downloads/aicp_0.0.4_linux_amd64.tar.gz"
        sha256 "213a2aac2d20ab1720f4833577f8a5fbd8319d26d0005835144d16884a020c95"

        def install
          bin.install "aicp"
        end
      end
    end
    on_arm do
      if Hardware::CPU.is_64_bit?
        url "https://gitlab.com/michaelangelo.io/aicp/-/releases/v0.0.4/downloads/aicp_0.0.4_linux_arm64.tar.gz"
        sha256 "94a85cdeb73308393a600d9251fe9b14e3c60c1bfb79b629bf8a0abf2908daa3"

        def install
          bin.install "aicp"
        end
      end
    end
  end
end
